# Uses of Class
javax.swing.JScrollBar

Packages that use JScrollBar
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of JScrollBar in javax.swing

Subclasses of JScrollBar in javax.swing
Modifier and Type
Class
Description
`protected class`
`JScrollPane.ScrollBar`
By default `JScrollPane` creates scrollbars that are instances of this class.
Fields in javax.swing declared as JScrollBar
Modifier and Type
Field
Description
`protected JScrollBar`
JScrollPane.`horizontalScrollBar`
The scrollpane's horizontal scrollbar child.
`protected JScrollBar`
ScrollPaneLayout.`hsb`
The scrollpane's horizontal scrollbar child.
`protected JScrollBar`
JScrollPane.`verticalScrollBar`
The scrollpane's vertical scrollbar child.
`protected JScrollBar`
ScrollPaneLayout.`vsb`
The scrollpane's vertical scrollbar child.
Methods in javax.swing that return JScrollBar
Modifier and Type
Method
Description
`JScrollBar`
JScrollPane.`createHorizontalScrollBar()`
Returns a `JScrollPane.ScrollBar` by default.
`JScrollBar`
JScrollPane.`createVerticalScrollBar()`
Returns a `JScrollPane.ScrollBar` by default.
`JScrollBar`
JScrollPane.`getHorizontalScrollBar()`
Returns the horizontal scroll bar that controls the viewport's horizontal view position.
`JScrollBar`
ScrollPaneLayout.`getHorizontalScrollBar()`
Returns the `JScrollBar` object that handles horizontal scrolling.
`JScrollBar`
JScrollPane.`getVerticalScrollBar()`
Returns the vertical scroll bar that controls the viewports vertical view position.
`JScrollBar`
ScrollPaneLayout.`getVerticalScrollBar()`
Returns the `JScrollBar` object that handles vertical scrolling.
Methods in javax.swing with parameters of type JScrollBar
Modifier and Type
Method
Description
`void`
JScrollPane.`setHorizontalScrollBar​(JScrollBar horizontalScrollBar)`
Adds the scrollbar that controls the viewport's horizontal view position to the scrollpane.
`void`
JScrollPane.`setVerticalScrollBar​(JScrollBar verticalScrollBar)`
Adds the scrollbar that controls the viewports vertical view position to the scrollpane.

## Uses of JScrollBar in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JScrollBar
Modifier and Type
Field
Description
`protected JScrollBar`
BasicScrollBarUI.`scrollbar`
Scrollbar
`protected JScrollBar`
BasicTreeUI.ComponentHandler.`scrollBar`
ScrollBar that is being adjusted.
Methods in javax.swing.plaf.basic with parameters of type JScrollBar
Modifier and Type
Method
Description
`protected void`
BasicScrollBarUI.`layoutHScrollbar​(JScrollBar sb)`
Laysouts a vertical scroll bar.
`protected void`
BasicScrollBarUI.`layoutVScrollbar​(JScrollBar sb)`
Laysouts a vertical scroll bar.